# Class CIM_ProtocolControllerForUnit
extends CIM_ProtocolControllerForDevice

This association is used to define a relationship between a ProtocolController and an exposed Logical Unit (for example a Storage Volume or a MediaAccessDevice such as a tape drive). An example of the use of this association is SCSI, where it link the target controller and Logical Units. This subclass is provided so that an enumeration of related controllers and units can be performed without retrieving any connected ports or other controllers.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProtocolControllerForDevice
|
+--CIM_ProtocolControllerForUnit

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association is used to define a relationship between a ProtocolController and an exposed Logical Unit (for example a Storage Volume or a MediaAccessDevice such as a tape drive). An example of the use of this association is SCSI, where it link the target controller and Logical Units. This subclass is provided so that an enumeration of related controllers and units can be performed without retrieving any connected ports or other controllers.

UMLPackagePath | string | CIM::Device::ProtocolController
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DeviceAccess | uint16 |

Description

string

The access rights granted to the referenced logical unit as exposed through referenced ProtocolController. The 'No Access' value is used in implementations where the DeviceNumber is reserved, but no access is granted. If the instrumentation exposes PrivilegeManagementService, this property MUST be synchronized with the Activities property of any Privilege instances associated with StorageHardwareIDs associated to the referenced ProtocolController and the referenced LogicalDevice. In particular, when this property is 'Read Write', Privilege.Activities MUST include entries for 'Read' and 'Write'. When this property is 'Read-Only', Privilege.Activities MUST include an entry for 'Read'. The corresponding entries for Privilege.ActivityQualifiers MUST be 'CDB=*' and the corresponding entries for Privilege.QualifierFormat MUST be 'SCSI Command'.

ValueMap | string | 0, 2, 3, 4, 5..15999, 16000..
Values | string | Unknown, Read Write, Read-Only, No Access, DMTF Reserved, Vendor Reserved

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ProtocolControllerForUnit | CIM_ProtocolController
Dependent | CIM_ProtocolControllerForUnit | CIM_LogicalDevice

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AccessPriority | uint16 | CIM_ProtocolControllerForDevice
AccessState | uint16 | CIM_ProtocolControllerForDevice
DeviceNumber | string | CIM_ProtocolControllerForDevice

## Class Methods